Package docking.widgets.table.constrainteditor

# Class LocalDateSpinnerModel

java.lang.Object
javax.swing.AbstractSpinnerModel
docking.widgets.table.constrainteditor.LocalDateSpinnerModel

All Implemented Interfaces:
  `Serializable`, `SpinnerModel`

public class LocalDateSpinnerModel extends AbstractSpinnerModel
Spinner Model for LocalDate

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractSpinnerModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalDateSpinnerModel(LocalDate value, LocalDate minDate, LocalDate maxDate, int calendarField)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocalDate`
  `getDate()`
  `LocalDate`
  `getMaxDate()`
  Returns the current maximum allowed date.
  `LocalDate`
  `getMinDate()`
  Returns the current minimum allowed date.
  `Object`
  `getNextValue()`
  `Object`
  `getPreviousValue()`
  `Object`
  `getValue()`
  `void`
  `setCalendarField(int calendarField)`
  Specifies whether the increment/decrement methods should adjust the year, month, or day.
  `void`
  `setValue(Object value)`

  ### Methods inherited from class javax.swing.AbstractSpinnerModel

  `addChangeListener, fireStateChanged, getChangeListeners, getListeners, removeChangeListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalDateSpinnerModel

    public LocalDateSpinnerModel(LocalDate value, LocalDate minDate, LocalDate maxDate, int calendarField)
    Constructor
    Parameters:
      `value` - initial value for spinner model
      `minDate` - minimum value for spinner model. (Can be null)
      `maxDate` - maximum value for spinner model. (Can be null)
      `calendarField` - specifies the year, month, or day to increment/decrement. One of:
      - `Calendar.YEAR`
      - `Calendar.MONTH`
      - `Calendar.DAY_OF_MONTH`

- ## Method Details

  - ### getValue

    public Object getValue()

  - ### setValue

    public void setValue(Object value)

  - ### getNextValue

    public Object getNextValue()

  - ### getPreviousValue

    public Object getPreviousValue()

  - ### getMinDate

    public LocalDate getMinDate()
    Returns the current minimum allowed date.
    Returns:
      the current minimum allowed date.

  - ### getMaxDate

    public LocalDate getMaxDate()
    Returns the current maximum allowed date.
    Returns:
      the current maximum allowed date.

  - ### setCalendarField

    public void setCalendarField(int calendarField)
    Specifies whether the increment/decrement methods should adjust the year, month, or day.
    Parameters:
      `calendarField` - one of
      - `Calendar.YEAR`
      - `Calendar.MONTH`
      - `Calendar.DAY_OF_MONTH`

  - ### getDate

    public LocalDate getDate()